#
# spec file for package poppassd, Milos Ivanovic, 2021. 
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.


Name:           poppassd-ceti
Version:        1.8.9
Release:        1
Summary:        POP3 password change daemon
License:        GPL-2.0
Group:          System/Daemon
Url:            https://github.com/kravietz/poppassd-ceti
Source0:        https://github.com/kravietz/poppassd-ceti/releases/download/v1.8.9/poppassd-ceti-%{version}.tar.gz
Source1:        poppassd.socket
Source2:        poppassd@.service
Source3:        poppassd.pam

BuildRequires:  cmake
BuildRequires:  libtool
BuildRequires:  pam-devel
BuildRequires:  systemd
BuildRequires:  gcc-c++

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An Eudora and NUPOP change password server that allows user password change
on PAM based systems via a simple POP3-like protocol.  This daemon is
frequently used as a backend for web based password change interfaces.

%define debug_package %{nil}

%prep
%setup -q

%build
cmake .
make

%preun
if [ $1 == 0 ]; then #uninstall
  systemctl unmask poppassd.socket
  systemctl stop poppassd.socket
  systemctl disable poppassd.socket
fi

%postun
if [ $1 == 0 ]; then #uninstall
  systemctl daemon-reload
  systemctl reset-failed
fi

%post
systemctl daemon-reload

%install
install -D -m 0755 poppassd %{buildroot}%{_sbindir}/poppassd
install -D -m 0644 %{S:1} %{buildroot}%{_unitdir}/poppassd.socket
install -D -m 0644 %{S:2} %{buildroot}%{_unitdir}/poppassd@.service
install -D -m 0644 %{S:3} %{buildroot}%{_sysconfdir}/pam.d/poppassd

%files
%defattr(-,root,root)
%{_sbindir}/poppassd
%{_unitdir}/poppassd.socket
%{_unitdir}/poppassd@.service
%config(noreplace) %{_sysconfdir}/pam.d/poppassd

%changelog
* Mon Feb 15 2021 mivanovic@kg.ac.rs
- initial packaging and systemd integration
- added pam defintion file
- systemd socket activation

